Bug 70959 - HYPERLINK-function with Scriptprotocol don' work
Summary: HYPERLINK-function with Scriptprotocol don' work
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: All All
: medium minor
Assignee: Markus Mohrhard
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, regression
: 73883 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-10-28 13:03 UTC by karolus
Modified: 2016-10-25 19:08 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
ExampleCalc-dokument with Makro (11.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-10-28 13:03 UTC, karolus
Details
ExampleCalc-dokument with Makro (11.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-10-28 13:15 UTC, karolus
Details
Calc/StarBasic with referencing hyperlink buttons (11.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-05-26 08:36 UTC, Andreas Säger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description karolus 2013-10-28 13:03:53 UTC
Created attachment 88229 [details]
ExampleCalc-dokument with Makro

Up to LO3.6 we could specify HYPERLINK() -functions to execute Basic-Scripts or Python, etc.
This don't work with LO4.1.2.3 - Why ?

Open attached Document with both LO_3.6 and LO_4.1.2.3

It also still work in AOO_4.01


Karolus
Comment 1 karolus 2013-10-28 13:15:25 UTC
Created attachment 88231 [details]
ExampleCalc-dokument with Makro
Comment 2 Julien Nabet 2013-11-03 17:38:33 UTC
On pc Debian x86-64 with master sources updated today, I can reproduce this.

I noticed these logs:
warn:ucb.ucp.gio:16120:1:ucb/source/ucp/gio/gio_content.cxx:378: ignoring GError "L'emplacement indiqué n'est pas pris en charge" for <vnd.sun.star.script:Standard.Module1.Main?language=Basic&location=document>
warn:comphelper:16120:1:comphelper/source/misc/mediadescriptor.cxx:649: caught Exception "Unable to retrieve value of property 'IsDocument'!" while opening <vnd.sun.star.script:Standard.Module1.Main?language=Basic&location=document>
warn:filter.config:16120:1:filter/source/config/cache/typedetection.cxx:453: caught Exception "Could not open stream for <vnd.sun.star.script:Standard.Module1.Main?language=Basic&location=document>" while querying type of <vnd.sun.star.script:Standard.Module1.Main?language=Basic&location=document>
warn:fwk.dispatch:16120:1:framework/source/dispatch/loaddispatcher.cxx:136: caught LoadEnvException 0 "type detection failed" while dispatching <vnd.sun.star.script:Standard.Module1.Main?language=Basic&location=document>

(I'm quite astonished about French message whereas I did a "export LANG=C")
Approximative translation of the message may be: "The indicated location can't be processed"

Eike/Noel: I don't know if it's specific Macro/function or general Calc. Any idea?
Comment 3 Eike Rathke 2013-11-04 12:27:40 UTC
I've no idea, I'm rather surprised that ever worked.
Comment 4 Simo Sutela 2014-03-11 18:28:11 UTC
*** Bug 73883 has been marked as a duplicate of this bug. ***
Comment 5 Krzy 2014-09-23 21:12:32 UTC
For me, ability to assign Basic macros to hyperlinks formatted as pushbuttons in Calc, was an ultra nice feature!!
The buttons looked nice, and were easily scaled up with cell, and looked like a part of the spreadsheet.
You could pass value to the macro function through hyperlink pushbutton also 
The hyperlink buttons could be generated from a macros, and added a lot to interactivity of the spreadsheets used as a frontend to relational database. 

I am very miss this feature, and I am surprised that so few people request to have it back.

Krzy
Comment 6 Alex Thurgood 2015-01-03 17:41:10 UTC
Adding self to CC if not already on
Comment 7 stefan70 2015-04-08 14:23:11 UTC
I would like to use this feature. I read that it still works in libre office or in libre calc on windows. I'm using libre calc 4.2.4.2 on Ubuntu and the reported bug still exists.
Comment 8 Andreas Säger 2015-05-26 08:36:10 UTC
Created attachment 116039 [details]
Calc/StarBasic with referencing hyperlink buttons

To be opened with LO<3.6 or with any version of OOo/AOO
Comment 9 karolus 2015-05-26 09:04:26 UTC
Sorry,Andreas -- it seems it is all for nothing.

The Devs actually work exclusivly only on implementing every stupid "Excel-feature" that's the bitter truth!
Comment 10 Robinson Tryon (qubit) 2015-12-14 05:32:51 UTC Comment hidden (obsolete)
Comment 11 Joel Madero 2016-01-09 19:54:27 UTC
(In reply to karolus from comment #9)
> Sorry,Andreas -- it seems it is all for nothing.
> 
> The Devs actually work exclusivly only on implementing every stupid
> "Excel-feature" that's the bitter truth!

*Entirely* false and unhelpful. Instead of complaining from the sidelines maybe find some time to join QA to actually help move bugs forward: https://kiwiirc.com/client/irc.freenode.net/libreoffice-qa

Two bibisects:
1) When it actually worked to when it moved to an intermediary step (fails for a different reason - spitting out error "klick_me" is not an absolute URL that can be passed to an external application to open it

2) Going from that error to no dialog at all (current state)

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

7be7cf83087144563a18000acdae82c8fd6f4872 is the first bad commit
commit 7be7cf83087144563a18000acdae82c8fd6f4872
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Mon Dec 10 00:13:53 2012 +0000

    source-hash-d59024b652ccfaf7247da113ec36788fe260de74
    
    commit d59024b652ccfaf7247da113ec36788fe260de74
    Author:     Michael Stahl <mstahl@redhat.com>
    AuthorDate: Thu Jul 12 22:18:43 2012 +0200
    Commit:     Michael Stahl <mstahl@redhat.com>
    CommitDate: Thu Jul 12 22:18:43 2012 +0200
    
        warning C4101: unreferenced local variable
    
        Change-Id: I0648821a4d0c716371bb011df8cd9b21db79ccf5

:100644 100644 2e11de60e03551ff9cb9202630fabddffd9b4d03 13d66368624db1158439984d29b9b6b4e382edc1 M	autogen.log
:100644 100644 1aef3215ed700bc4e85fd12d18339c24ebf234a7 1c9624dd465ee0e59acd9c9dd05950b51be0c666 M	ccache.log
:100644 100644 f13bcc6696e46ed88900fa5b2390642319998036 b55a2bd9212e07b4042ebd0bb46515c8a4e76c04 M	commitmsg
:100644 100644 9d65d2f7c48177028e23641bc3eb0528844456f9 5270492409e164dc751ec11e4524f63b7739b35f M	dev-install.log
:100644 100644 9134f8edd2ee62e54d25821b3cc071e2aee24b5a f188090f0a4137ab411a3ff359ec440f0da4644c M	make.log
:040000 040000 e1e8f612101470e3ff2f6a53fc8c5e664103243f bb164bd44517d96b184ae0ecb1e8ccaf46ba0b4d M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect bad 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [369369915d3582924b3d01c9b01167268ed38f3b] source-hash-45295f3cdceb4c289553791071b5d7f4962d2ec4
git bisect good 369369915d3582924b3d01c9b01167268ed38f3b
# good: [6fce03a944bf50e90cd31e2d559fe8705ccc993e] source-hash-47e4a33a6405eb1b5186027f55bd9cb99b0c1fe7
git bisect good 6fce03a944bf50e90cd31e2d559fe8705ccc993e
# bad: [da317333e5675622f55c9dda17396c659af65320] source-hash-15af925c254f27046427de70a59011e2ac3d6bdb
git bisect bad da317333e5675622f55c9dda17396c659af65320
# good: [daa21bbd8c7b50e2ca1c2cbed0e39f0e7b5a1cb2] source-hash-6b11a18071254a443c8fe7e7b0b1c95b0f9fd35e
git bisect good daa21bbd8c7b50e2ca1c2cbed0e39f0e7b5a1cb2
# good: [a08143f4bae3d6658dd756b42b6f343298d1f48c] source-hash-b7822657fa67e7265d07f5852057e975e9efae0d
git bisect good a08143f4bae3d6658dd756b42b6f343298d1f48c
# good: [5255e1fbf1f3fa3ca61c4db3005940205577863c] source-hash-63c004fc3f0bc53ce888ef012f7993b9203a7503
git bisect good 5255e1fbf1f3fa3ca61c4db3005940205577863c
# bad: [7be7cf83087144563a18000acdae82c8fd6f4872] source-hash-d59024b652ccfaf7247da113ec36788fe260de74
git bisect bad 7be7cf83087144563a18000acdae82c8fd6f4872
# good: [ad874a5319e9f68e6b3a974e44de838b8a0a82e1] source-hash-4b4ca8030285bd66526ff5bb2b6ea5a75a6c6bc7
git bisect good ad874a5319e9f68e6b3a974e44de838b8a0a82e1
# first bad commit: [7be7cf83087144563a18000acdae82c8fd6f4872] source-hash-d59024b652ccfaf7247da113ec36788fe260de74

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

af0ca5c674c36b4b4043864ae66fbb3f4cb97f51 is the first bad commit
commit af0ca5c674c36b4b4043864ae66fbb3f4cb97f51
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Oct 16 18:08:35 2013 +0000

    source-hash-79c0bd64be68161ea16f132a015f7143e09f3eaf
    
    commit 79c0bd64be68161ea16f132a015f7143e09f3eaf
    Author:     Julien Nabet <serval2412@yahoo.fr>
    AuthorDate: Mon Mar 25 21:58:05 2013 +0100
    Commit:     Julien Nabet <serval2412@yahoo.fr>
    CommitDate: Mon Mar 25 21:58:44 2013 +0100
    
        coverity#704311 Logically dead code
    
        Change-Id: I1739d96748a4ed2259885843f383ec7ff2914b66

:100644 100644 c59c4a11a90ca41a023b1ba63280e77076dc218a 130fdd19f07fd29fe21d8dd85f19551bf3bc8c3d M	ccache.log
:100644 100644 9a10596d621142b662ecb1f6fc3aed897a384479 5320e6782589448ead56cec8147ac5d5505e9840 M	commitmsg
:100644 100644 c1ea250cff6752919b79ce13e805c40fae794274 6a051d6b4d934414f3b3604c3973fd6bdccbf5c7 M	dev-install.log
:100644 100644 8a210734791e74722a80a67f9238bf90fd892c35 9ff32a3153cd4652d88c70c49a0beaa87cee1f73 M	make.log
:040000 040000 b9a5df595506dae456404de3bf529c35def3ba16 19588e79d57a83a75b248a6e41e41565cf60baa4 M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect good 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02] source-hash-8600bc24bbc9029e92bea6102bff2921bc10b33e
git bisect good 9995fae0d8a24ce31bcb5e9cd0459b69cfbf7a02
# bad: [8ad82bc1416a07501651e8d96fe268e47d3931d3] source-hash-13821254f88d2c5488fba9fe6393dcf4ae810db4
git bisect bad 8ad82bc1416a07501651e8d96fe268e47d3931d3
# good: [238338bc4111eb82429ea47384d4012bcd7cdc3e] source-hash-b6ba04639b9922f6717f79ac4be215e09691d7a9
git bisect good 238338bc4111eb82429ea47384d4012bcd7cdc3e
# bad: [f24a67989fadc0affdfed9edf28f2f59fd6c279f] source-hash-930fe0581794e2ae6aaa62c2c716ed655a0f2885
git bisect bad f24a67989fadc0affdfed9edf28f2f59fd6c279f
# good: [c1631ee90606d0a7928496fb9548bcd0dbe69dbf] source-hash-28fb57daa77438f5e63132d3417062a11a44461e
git bisect good c1631ee90606d0a7928496fb9548bcd0dbe69dbf
# bad: [af0ca5c674c36b4b4043864ae66fbb3f4cb97f51] source-hash-79c0bd64be68161ea16f132a015f7143e09f3eaf
git bisect bad af0ca5c674c36b4b4043864ae66fbb3f4cb97f51
# good: [721382f0b8ff21827254c3d1103d6643b2e5ceaf] source-hash-542a71acd98620b0b6d4e19c4525723ec9aec3b7
git bisect good 721382f0b8ff21827254c3d1103d6643b2e5ceaf
# first bad commit: [af0ca5c674c36b4b4043864ae66fbb3f4cb97f51] source-hash-79c0bd64be68161ea16f132a015f7143e09f3eaf
Comment 12 Commit Notification 2016-04-19 00:41:34 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=170a473597534cf59887b1d817538322e7039862

don't try to open in new window by default, tdf#70959

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 karolus 2016-04-19 13:13:43 UTC
Works again with:

Version: 5.2.0.0.alpha0+
Build ID: 170a473597534cf59887b1d817538322e7039862
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-04-19_00:41:06

thanks to @Markus Mohrhard
Comment 14 stefan70 2016-04-21 09:13:29 UTC
Works also great for my issues:

Version: 5.2.0.0.alpha0+
Build ID: e8425c48102321d4f5a8bd687c8ca1ac7bae797e
CPU Threads: 1; OS Version: Linux 3.13; UI Render: default; 
TinderBox: Linux-rpm_deb-x86@71-TDF, Branch:master, Time: 2016-04-20_16:49:44
Locale: de-DE (de_DE.UTF-8)

thanks to @Markus Mohrhard,  karolus, Andreas Säger, ...